#ifndef mozilla_dom_BindingNames_h
#define mozilla_dom_BindingNames_h

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSGroupingRule = 949,
  CSSImportRule = 965,
  CSSKeyframeRule = 979,
  CSSKeyframesRule = 995,
  CSSLayerBlockRule = 1012,
  CSSLayerStatementRule = 1030,
  CSSMediaRule = 1052,
  CSSMozDocumentRule = 1065,
  CSSNamespaceRule = 1084,
  CSSPageRule = 1101,
  CSSPseudoElement = 1113,
  CSSRule = 1130,
  CSSRuleList = 1138,
  CSSScrollTimelineRule = 1150,
  CSSStyleDeclaration = 1172,
  CSSStyleRule = 1192,
  CSSStyleSheet = 1205,
  CSSSupportsRule = 1219,
  CSSTransition = 1235,
  Cache = 1249,
  CacheStorage = 1255,
  CallbackDebuggerNotification = 1268,
  CanonicalBrowsingContext = 1297,
  CanvasCaptureMediaStream = 1322,
  CanvasGradient = 1347,
  CanvasPattern = 1362,
  CanvasRenderingContext2D = 1376,
  CaretPosition = 1401,
  CaretStateChangedEvent = 1415,
  ChannelMergerNode = 1438,
  ChannelSplitterNode = 1456,
  ChannelWrapper = 1476,
  CharacterData = 1491,
  CheckerboardReportService = 1505,
  ChildProcessMessageManager = 1531,
  ChildSHistory = 1558,
  ChromeMessageBroadcaster = 1572,
  ChromeMessageSender = 1597,
  ChromeNodeList = 1617,
  ChromeUtils = 1632,
  ChromeWorker = 1644,
  Client = 1657,
  Clients = 1664,
  Clipboard = 1672,
  ClipboardEvent = 1682,
  ClipboardItem = 1697,
  ClonedErrorHolder = 1711,
  CloseEvent = 1729,
  CommandEvent = 1740,
  Comment = 1753,
  CompositionEvent = 1761,
  ConsoleInstance = 1778,
  ConstantSourceNode = 1794,
  ContentFrameMessageManager = 1813,
  ContentProcessMessageManager = 1840,
  ConvolverNode = 1869,
  CountQueuingStrategy = 1883,
  CreateOfferRequest = 1904,
  Credential = 1923,
  CredentialsContainer = 1934,
  Crypto = 1955,
  CryptoKey = 1962,
  CustomElementRegistry = 1972,
  CustomEvent = 1994,
  DOMException = 2006,
  DOMImplementation = 2019,
  DOMLocalization = 2037,
  DOMMatrix = 2053,
  DOMMatrixReadOnly = 2063,
  DOMParser = 2081,
  DOMPoint = 2091,
  DOMPointReadOnly = 2100,
  DOMQuad = 2117,
  DOMRect = 2125,
  DOMRectList = 2133,
  DOMRectReadOnly = 2145,
  DOMRequest = 2161,
  DOMStringList = 2172,
  DOMStringMap = 2186,
  DOMTokenList = 2199,
  DataTransfer = 2212,
  DataTransferItem = 2225,
  DataTransferItemList = 2242,
  DebuggerNotification = 2263,
  DebuggerNotificationObserver = 2284,
  DedicatedWorkerGlobalScope = 2313,
  DelayNode = 2340,
  DeprecationReportBody = 2350,
  DeviceAcceleration = 2372,
  DeviceLightEvent = 2391,
  DeviceMotionEvent = 2408,
  DeviceOrientationEvent = 2426,
  DeviceRotationRate = 2449,
  Directory = 2468,
  Document = 2478,
  DocumentFragment = 2487,
  DocumentL10n = 2504,
  DocumentTimeline = 2517,
  DocumentType = 2534,
  DominatorTree = 2547,
  DragEvent = 2561,
  DynamicsCompressorNode = 2571,
  EXT_blend_minmax = 2594,
  EXT_color_buffer_float = 2611,
  EXT_color_buffer_half_float = 2634,
  EXT_disjoint_timer_query = 2662,
  EXT_float_blend = 2687,
  EXT_frag_depth = 2703,
  EXT_sRGB = 2718,
  EXT_shader_texture_lod = 2727,
  EXT_texture_compression_bptc = 2750,
  EXT_texture_compression_rgtc = 2779,
  EXT_texture_filter_anisotropic = 2808,
  EXT_texture_norm16 = 2839,
  Element = 2858,
  ElementInternals = 2866,
  ErrorEvent = 2883,
  Event = 2894,
  EventCallbackDebuggerNotification = 2900,
  EventCounts = 2934,
  EventSource = 2946,
  EventTarget = 2958,
  Exception = 2970,
  ExtendableEvent = 2980,
  ExtendableMessageEvent = 2996,
  ExtensionAlarms = 3019,
  ExtensionBrowser = 3035,
  ExtensionEventManager = 3052,
  ExtensionMockAPI = 3074,
  ExtensionPort = 3091,
  ExtensionRuntime = 3105,
  ExtensionTest = 3122,
  External = 3136,
  FeaturePolicy = 3145,
  FeaturePolicyViolationReportBody = 3159,
  FetchEvent = 3192,
  FetchObserver = 3203,
  File = 3217,
  FileList = 3222,
  FileReader = 3231,
  FileReaderSync = 3242,
  FileSystem = 3257,
  FileSystemDirectoryEntry = 3268,
  FileSystemDirectoryHandle = 3293,
  FileSystemDirectoryIterator = 3319,
  FileSystemDirectoryReader = 3347,
  FileSystemEntry = 3373,
  FileSystemFileEntry = 3389,
  FileSystemFileHandle = 3409,
  FileSystemHandle = 3430,
  FileSystemSyncAccessHandle = 3447,
  FileSystemWritableFileStream = 3474,
  Flex = 3503,
  FlexItemValues = 3508,
  FlexLineValues = 3523,
  FluentBundle = 3538,
  FluentBundleAsyncIterator = 3551,
  FluentBundleIterator = 3577,
  FluentPattern = 3598,
  FluentResource = 3612,
  FocusEvent = 3627,
  FontFace = 3638,
  FontFaceSet = 3647,
  FontFaceSetIterator = 3659,
  FontFaceSetLoadEvent = 3679,
  FormData = 3700,
  FormData_Iterator = 3709,
  FormDataEvent = 3727,
  FrameCrashedEvent = 3741,
  FrameLoader = 3759,
  GPU = 3771,
  GPUAdapter = 3775,
  GPUBindGroup = 3786,
  GPUBindGroupLayout = 3799,
  GPUBuffer = 3818,
  GPUBufferUsage = 3828,
  GPUCanvasContext = 3843,
  GPUColorWrite = 3860,
  GPUCommandBuffer = 3874,
  GPUCommandEncoder = 3891,
  GPUCompilationInfo = 3909,
  GPUCompilationMessage = 3928,
  GPUComputePassEncoder = 3950,
  GPUComputePipeline = 3972,
  GPUDevice = 3991,
  GPUDeviceLostInfo = 4001,
  GPUMapMode = 4019,
  GPUOutOfMemoryError = 4030,
  GPUPipelineLayout = 4050,
  GPUQuerySet = 4068,
  GPUQueue = 4080,
  GPURenderBundle = 4089,
  GPURenderBundleEncoder = 4105,
  GPURenderPassEncoder = 4128,
  GPURenderPipeline = 4149,
  GPUSampler = 4167,
  GPUShaderModule = 4178,
  GPUShaderStage = 4194,
  GPUSupportedFeatures = 4209,
  GPUSupportedLimits = 4230,
  GPUTexture = 4249,
  GPUTextureUsage = 4260,
  GPUTextureView = 4276,
  GPUUncapturedErrorEvent = 4291,
  GPUValidationError = 4315,
  GainNode = 4334,
  Gamepad = 4343,
  GamepadAxisMoveEvent = 4351,
  GamepadButton = 4372,
  GamepadButtonEvent = 4386,
  GamepadEvent = 4405,
  GamepadHapticActuator = 4418,
  GamepadLightIndicator = 4440,
  GamepadPose = 4462,
  GamepadServiceTest = 4474,
  GamepadTouch = 4493,
  Geolocation = 4506,
  GeolocationCoordinates = 4518,
  GeolocationPosition = 4541,
  GeolocationPositionError = 4561,
  GetUserMediaRequest = 4586,
  GleanCategory = 4606,
  GleanImpl = 4620,
  GleanLabeled = 4630,
  GleanPingsImpl = 4643,
  Grid = 4658,
  GridArea = 4663,
  GridDimension = 4672,
  GridLine = 4686,
  GridLines = 4695,
  GridTrack = 4705,
  GridTracks = 4715,
  HTMLAllCollection = 4726,
  HTMLAnchorElement = 4744,
  HTMLAreaElement = 4762,
  HTMLAudioElement = 4778,
  HTMLBRElement = 4795,
  HTMLBaseElement = 4809,
  HTMLBodyElement = 4825,
  HTMLButtonElement = 4841,
  HTMLCanvasElement = 4859,
  HTMLCollection = 4877,
  HTMLDListElement = 4892,
  HTMLDataElement = 4909,
  HTMLDataListElement = 4925,
  HTMLDetailsElement = 4945,
  HTMLDialogElement = 4964,
  HTMLDirectoryElement = 4982,
  HTMLDivElement = 5003,
  HTMLDocument = 5018,
  HTMLElement = 5031,
  HTMLEmbedElement = 5043,
  HTMLFieldSetElement = 5060,
  HTMLFontElement = 5080,
  HTMLFormControlsCollection = 5096,
  HTMLFormElement = 5123,
  HTMLFrameElement = 5139,
  HTMLFrameSetElement = 5156,
  HTMLHRElement = 5176,
  HTMLHeadElement = 5190,
  HTMLHeadingElement = 5206,
  HTMLHtmlElement = 5225,
  HTMLIFrameElement = 5241,
  HTMLImageElement = 5259,
  HTMLInputElement = 5276,
  HTMLLIElement = 5293,
  HTMLLabelElement = 5307,
  HTMLLegendElement = 5324,
  HTMLLinkElement = 5342,
  HTMLMapElement = 5358,
  HTMLMarqueeElement = 5373,
  HTMLMediaElement = 5392,
  HTMLMenuElement = 5409,
  HTMLMenuItemElement = 5425,
  HTMLMetaElement = 5445,
  HTMLMeterElement = 5461,
  HTMLModElement = 5478,
  HTMLOListElement = 5493,
  HTMLObjectElement = 5510,
  HTMLOptGroupElement = 5528,
  HTMLOptionElement = 5548,
  HTMLOptionsCollection = 5566,
  HTMLOutputElement = 5588,
  HTMLParagraphElement = 5606,
  HTMLParamElement = 5627,
  HTMLPictureElement = 5644,
  HTMLPreElement = 5663,
  HTMLProgressElement = 5678,
  HTMLQuoteElement = 5698,
  HTMLScriptElement = 5715,
  HTMLSelectElement = 5733,
  HTMLSlotElement = 5751,
  HTMLSourceElement = 5767,
  HTMLSpanElement = 5785,
  HTMLStyleElement = 5801,
  HTMLTableCaptionElement = 5818,
  HTMLTableCellElement = 5842,
  HTMLTableColElement = 5863,
  HTMLTableElement = 5883,
  HTMLTableRowElement = 5900,
  HTMLTableSectionElement = 5920,
  HTMLTemplateElement = 5944,
  HTMLTextAreaElement = 5964,
  HTMLTimeElement = 5984,
  HTMLTitleElement = 6000,
  HTMLTrackElement = 6017,
  HTMLUListElement = 6034,
  HTMLUnknownElement = 6051,
  HTMLVideoElement = 6070,
  HashChangeEvent = 6087,
  Headers = 6103,
  Headers_Iterator = 6111,
  HeapSnapshot = 6128,
  History = 6141,
  IDBCursor = 6149,
  IDBCursorWithValue = 6159,
  IDBDatabase = 6178,
  IDBFactory = 6190,
  IDBFileHandle = 6201,
  IDBFileRequest = 6215,
  IDBIndex = 6230,
  IDBKeyRange = 6239,
  IDBLocaleAwareKeyRange = 6251,
  IDBMutableFile = 6274,
  IDBObjectStore = 6289,
  IDBOpenDBRequest = 6304,
  IDBRequest = 6321,
  IDBTransaction = 6332,
  IDBVersionChangeEvent = 6347,
  IIRFilterNode = 6369,
  IOUtils = 6383,
  IdleDeadline = 6391,
  Image = 6404,
  ImageBitmap = 6410,
  ImageBitmapRenderingContext = 6422,
  ImageCapture = 6450,
  ImageCaptureError = 6463,
  ImageCaptureErrorEvent = 6481,
  ImageData = 6504,
  ImageDocument = 6514,
  InputEvent = 6528,
  InspectorFontFace = 6539,
  InspectorUtils = 6557,
  InstallTriggerImpl = 6572,
  IntersectionObserver = 6591,
  IntersectionObserverEntry = 6612,
  IntlUtils = 6638,
  JSProcessActorChild = 6648,
  JSProcessActorParent = 6668,
  JSWindowActorChild = 6689,
  JSWindowActorParent = 6708,
  KeyEvent = 6728,
  KeyboardEvent = 6737,
  KeyframeEffect = 6751,
  L10nFileSource = 6766,
  L10nOverlays = 6781,
  L10nRegistry = 6794,
  LegacyMozTCPSocket = 6807,
  Localization = 6826,
  Location = 6839,
  Lock = 6848,
  LockManager = 6853,
  MIDIAccess = 6865,
  MIDIConnectionEvent = 6876,
  MIDIInput = 6896,
  MIDIInputMap = 6906,
  MIDIMessageEvent = 6919,
  MIDIOutput = 6936,
  MIDIOutputMap = 6947,
  MIDIPort = 6961,
  MOZ_debug = 6970,
  MatchGlob = 6980,
  MatchPattern = 6990,
  MatchPatternSet = 7003,
  MathMLElement = 7019,
  MediaCapabilities = 7033,
  MediaCapabilitiesInfo = 7051,
  MediaControlService = 7073,
  MediaController = 7093,
  MediaDeviceInfo = 7109,
  MediaDevices = 7125,
  MediaElementAudioSourceNode = 7138,
  MediaEncryptedEvent = 7166,
  MediaError = 7186,
  MediaKeyError = 7197,
  MediaKeyMessageEvent = 7211,
  MediaKeySession = 7232,
  MediaKeyStatusMap = 7248,
  MediaKeyStatusMap_Iterator = 7266,
  MediaKeySystemAccess = 7293,
  MediaKeys = 7314,
  MediaList = 7324,
  MediaMetadata = 7334,
  MediaQueryList = 7348,
  MediaQueryListEvent = 7363,
  MediaRecorder = 7383,
  MediaRecorderErrorEvent = 7397,
  MediaSession = 7421,
  MediaSource = 7434,
  MediaStream = 7446,
  MediaStreamAudioDestinationNode = 7458,
  MediaStreamAudioSourceNode = 7490,
  MediaStreamError = 7517,
  MediaStreamEvent = 7534,
  MediaStreamTrack = 7551,
  MediaStreamTrackAudioSourceNode = 7568,
  MediaStreamTrackEvent = 7600,
  MerchantValidationEvent = 7622,
  MessageBroadcaster = 7646,
  MessageChannel = 7665,
  MessageEvent = 7680,
  MessageListenerManager = 7693,
  MessagePort = 7716,
  MessageSender = 7728,
  MimeType = 7742,
  MimeTypeArray = 7751,
  MouseEvent = 7765,
  MouseScrollEvent = 7776,
  MozCanvasPrintState = 7793,
  MozDocumentMatcher = 7813,
  MozDocumentObserver = 7832,
  MozQueryInterface = 7852,
  MozSharedMap = 7870,
  MozSharedMap_Iterator = 7883,
  MozSharedMapChangeEvent = 7905,
  MozStorageAsyncStatementParams = 7929,
  MozStorageStatementParams = 7960,
  MozStorageStatementRow = 7986,
  MozWritableSharedMap = 8009,
  MutationEvent = 8030,
  MutationObserver = 8044,
  MutationRecord = 8061,
  NamedNodeMap = 8076,
  NavigationPreloadManager = 8089,
  Navigator = 8114,
  NetworkInformation = 8124,
  Node = 8143,
  NodeFilter = 8148,
  NodeIterator = 8159,
  NodeList = 8172,
  Notification = 8181,
  NotificationEvent = 8194,
  NotifyPaintEvent = 8212,
  OES_draw_buffers_indexed = 8229,
  OES_element_index_uint = 8254,
  OES_fbo_render_mipmap = 8277,
  OES_standard_derivatives = 8299,
  OES_texture_float = 8324,
  OES_texture_float_linear = 8342,
  OES_texture_half_float = 8367,
  OES_texture_half_float_linear = 8390,
  OES_vertex_array_object = 8420,
  OVR_multiview2 = 8444,
  OfflineAudioCompletionEvent = 8459,
  OfflineAudioContext = 8487,
  OfflineResourceList = 8507,
  OffscreenCanvas = 8527,
  OffscreenCanvasRenderingContext2D = 8543,
  OnlyForUseInConstructor = 8577,
  Option = 8601,
  OscillatorNode = 8608,
  PageTransitionEvent = 8623,
  PaintRequest = 8643,
  PaintRequestList = 8656,
  PaintWorkletGlobalScope = 8673,
  PannerNode = 8697,
  ParentProcessMessageManager = 8708,
  Path2D = 8736,
  PathUtils = 8743,
  PaymentAddress = 8753,
  PaymentMethodChangeEvent = 8768,
  PaymentRequest = 8793,
  PaymentRequestUpdateEvent = 8808,
  PaymentResponse = 8834,
  PeerConnectionImpl = 8850,
  PeerConnectionObserver = 8869,
  Performance = 8892,
  PerformanceEntry = 8904,
  PerformanceEntryEvent = 8921,
  PerformanceEventTiming = 8943,
  PerformanceMark = 8966,
  PerformanceMeasure = 8982,
  PerformanceNavigation = 9001,
  PerformanceNavigationTiming = 9023,
  PerformanceObserver = 9051,
  PerformanceObserverEntryList = 9071,
  PerformancePaintTiming = 9100,
  PerformanceResourceTiming = 9123,
  PerformanceServerTiming = 9149,
  PerformanceTiming = 9173,
  PeriodicWave = 9191,
  PermissionStatus = 9204,
  Permissions = 9221,
  PlacesBookmark = 9233,
  PlacesBookmarkAddition = 9248,
  PlacesBookmarkChanged = 9271,
  PlacesBookmarkGuid = 9293,
  PlacesBookmarkMoved = 9312,
  PlacesBookmarkRemoved = 9332,
  PlacesBookmarkTags = 9354,
  PlacesBookmarkTime = 9373,
  PlacesBookmarkTitle = 9392,
  PlacesBookmarkUrl = 9412,
  PlacesEvent = 9430,
  PlacesFavicon = 9442,
  PlacesHistoryCleared = 9456,
  PlacesObservers = 9477,
  PlacesPurgeCaches = 9493,
  PlacesRanking = 9511,
  PlacesVisit = 9525,
  PlacesVisitRemoved = 9537,
  PlacesVisitTitle = 9556,
  PlacesWeakCallbackWrapper = 9573,
  Plugin = 9599,
  PluginArray = 9606,
  PluginCrashedEvent = 9618,
  PointerEvent = 9637,
  PopStateEvent = 9650,
  PopupBlockedEvent = 9664,
  PopupPositionedEvent = 9682,
  PositionStateEvent = 9703,
  PrecompiledScript = 9722,
  PrioEncoder = 9740,
  ProcessMessageManager = 9752,
  ProcessingInstruction = 9774,
  ProgressEvent = 9796,
  PromiseDebugging = 9810,
  PromiseNativeHandler = 9827,
  PromiseRejectionEvent = 9848,
  PublicKeyCredential = 9870,
  PushEvent = 9890,
  PushManager = 9900,
  PushManagerImpl = 9912,
  PushMessageData = 9928,
  PushSubscription = 9944,
  PushSubscriptionOptions = 9961,
  RTCCertificate = 9985,
  RTCDTMFSender = 10000,
  RTCDTMFToneChangeEvent = 10014,
  RTCDataChannel = 10037,
  RTCDataChannelEvent = 10052,
  RTCDtlsTransport = 10072,
  RTCIceCandidate = 10089,
  RTCIdentityProviderRegistrar = 10105,
  RTCPeerConnection = 10134,
  RTCPeerConnectionIceEvent = 10152,
  RTCPeerConnectionStatic = 10178,
  RTCRtpReceiver = 10202,
  RTCRtpSender = 10217,
  RTCRtpTransceiver = 10230,
  RTCSessionDescription = 10248,
  RTCStatsReport = 10270,
  RTCTrackEvent = 10285,
  RadioNodeList = 10299,
  Range = 10313,
  ReadableByteStreamController = 10319,
  ReadableStream = 10348,
  ReadableStreamBYOBReader = 10363,
  ReadableStreamBYOBRequest = 10388,
  ReadableStreamDefaultController = 10414,
  ReadableStreamDefaultReader = 10446,
  Report = 10474,
  ReportBody = 10481,
  ReportingObserver = 10492,
  Request = 10510,
  ResizeObserver = 10518,
  ResizeObserverEntry = 10533,
  ResizeObserverSize = 10553,
  Response = 10572,
  SVGAElement = 10581,
  SVGAngle = 10593,
  SVGAnimateElement = 10602,
  SVGAnimateMotionElement = 10620,
  SVGAnimateTransformElement = 10644,
  SVGAnimatedAngle = 10671,
  SVGAnimatedBoolean = 10688,
  SVGAnimatedEnumeration = 10707,
  SVGAnimatedInteger = 10730,
  SVGAnimatedLength = 10749,
  SVGAnimatedLengthList = 10767,
  SVGAnimatedNumber = 10789,
  SVGAnimatedNumberList = 10807,
  SVGAnimatedPreserveAspectRatio = 10829,
  SVGAnimatedRect = 10860,
  SVGAnimatedString = 10876,
  SVGAnimatedTransformList = 10894,
  SVGAnimationElement = 10919,
  SVGCircleElement = 10939,
  SVGClipPathElement = 10956,
  SVGComponentTransferFunctionElement = 10975,
  SVGDefsElement = 11011,
  SVGDescElement = 11026,
  SVGElement = 11041,
  SVGEllipseElement = 11052,
  SVGFEBlendElement = 11070,
  SVGFEColorMatrixElement = 11088,
  SVGFEComponentTransferElement = 11112,
  SVGFECompositeElement = 11142,
  SVGFEConvolveMatrixElement = 11164,
  SVGFEDiffuseLightingElement = 11191,
  SVGFEDisplacementMapElement = 11219,
  SVGFEDistantLightElement = 11247,
  SVGFEDropShadowElement = 11272,
  SVGFEFloodElement = 11295,
  SVGFEFuncAElement = 11313,
  SVGFEFuncBElement = 11331,
  SVGFEFuncGElement = 11349,
  SVGFEFuncRElement = 11367,
  SVGFEGaussianBlurElement = 11385,
  SVGFEImageElement = 11410,
  SVGFEMergeElement = 11428,
  SVGFEMergeNodeElement = 11446,
  SVGFEMorphologyElement = 11468,
  SVGFEOffsetElement = 11491,
  SVGFEPointLightElement = 11510,
  SVGFESpecularLightingElement = 11533,
  SVGFESpotLightElement = 11562,
  SVGFETileElement = 11584,
  SVGFETurbulenceElement = 11601,
  SVGFilterElement = 11624,
  SVGForeignObjectElement = 11641,
  SVGGElement = 11665,
  SVGGeometryElement = 11677,
  SVGGradientElement = 11696,
  SVGGraphicsElement = 11715,
  SVGImageElement = 11734,
  SVGLength = 11750,
  SVGLengthList = 11760,
  SVGLineElement = 11774,
  SVGLinearGradientElement = 11789,
  SVGMPathElement = 11814,
  SVGMarkerElement = 11830,
  SVGMaskElement = 11847,
  SVGMatrix = 11862,
  SVGMetadataElement = 11872,
  SVGNumber = 11891,
  SVGNumberList = 11901,
  SVGPathElement = 11915,
  SVGPathSeg = 11930,
  SVGPathSegArcAbs = 11941,
  SVGPathSegArcRel = 11958,
  SVGPathSegClosePath = 11975,
  SVGPathSegCurvetoCubicAbs = 11995,
  SVGPathSegCurvetoCubicRel = 12021,
  SVGPathSegCurvetoCubicSmoothAbs = 12047,
  SVGPathSegCurvetoCubicSmoothRel = 12079,
  SVGPathSegCurvetoQuadraticAbs = 12111,
  SVGPathSegCurvetoQuadraticRel = 12141,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12171,
  SVGPathSegCurvetoQuadraticSmoothRel = 12207,
  SVGPathSegLinetoAbs = 12243,
  SVGPathSegLinetoHorizontalAbs = 12263,
  SVGPathSegLinetoHorizontalRel = 12293,
  SVGPathSegLinetoRel = 12323,
  SVGPathSegLinetoVerticalAbs = 12343,
  SVGPathSegLinetoVerticalRel = 12371,
  SVGPathSegList = 12399,
  SVGPathSegMovetoAbs = 12414,
  SVGPathSegMovetoRel = 12434,
  SVGPatternElement = 12454,
  SVGPoint = 12472,
  SVGPointList = 12481,
  SVGPolygonElement = 12494,
  SVGPolylineElement = 12512,
  SVGPreserveAspectRatio = 12531,
  SVGRadialGradientElement = 12554,
  SVGRect = 12579,
  SVGRectElement = 12587,
  SVGSVGElement = 12602,
  SVGScriptElement = 12616,
  SVGSetElement = 12633,
  SVGStopElement = 12647,
  SVGStringList = 12662,
  SVGStyleElement = 12676,
  SVGSwitchElement = 12692,
  SVGSymbolElement = 12709,
  SVGTSpanElement = 12726,
  SVGTextContentElement = 12742,
  SVGTextElement = 12764,
  SVGTextPathElement = 12779,
  SVGTextPositioningElement = 12798,
  SVGTitleElement = 12824,
  SVGTransform = 12840,
  SVGTransformList = 12853,
  SVGUnitTypes = 12870,
  SVGUseElement = 12883,
  SVGViewElement = 12897,
  Sanitizer = 12912,
  Scheduler = 12922,
  Screen = 12932,
  ScreenLuminance = 12939,
  ScreenOrientation = 12955,
  ScriptProcessorNode = 12973,
  ScrollAreaEvent = 12993,
  ScrollViewChangeEvent = 13009,
  SecurityPolicyViolationEvent = 13031,
  Selection = 13060,
  ServiceWorker = 13070,
  ServiceWorkerContainer = 13084,
  ServiceWorkerGlobalScope = 13107,
  ServiceWorkerRegistration = 13132,
  SessionStoreFormData = 13158,
  SessionStoreScrollData = 13179,
  SessionStoreUtils = 13202,
  ShadowRoot = 13220,
  SharedWorker = 13231,
  SharedWorkerGlobalScope = 13244,
  SimpleGestureEvent = 13268,
  SourceBuffer = 13287,
  SourceBufferList = 13300,
  SpeechGrammar = 13317,
  SpeechGrammarList = 13331,
  SpeechRecognition = 13349,
  SpeechRecognitionAlternative = 13367,
  SpeechRecognitionError = 13396,
  SpeechRecognitionEvent = 13419,
  SpeechRecognitionResult = 13442,
  SpeechRecognitionResultList = 13466,
  SpeechSynthesis = 13494,
  SpeechSynthesisErrorEvent = 13510,
  SpeechSynthesisEvent = 13536,
  SpeechSynthesisUtterance = 13557,
  SpeechSynthesisVoice = 13582,
  StaticRange = 13603,
  StereoPannerNode = 13615,
  Storage = 13632,
  StorageEvent = 13640,
  StorageManager = 13653,
  StreamFilter = 13668,
  StreamFilterDataEvent = 13681,
  StructuredCloneHolder = 13703,
  StructuredCloneTester = 13725,
  StyleSheet = 13747,
  StyleSheetApplicableStateChangeEvent = 13758,
  StyleSheetList = 13795,
  SubmitEvent = 13810,
  SubtleCrypto = 13822,
  SyncMessageSender = 13835,
  SyncReadFile = 13853,
  TCPServerSocket = 13866,
  TCPServerSocketEvent = 13882,
  TCPSocket = 13903,
  TCPSocketErrorEvent = 13913,
  TCPSocketEvent = 13933,
  TaskController = 13948,
  TaskPriorityChangeEvent = 13963,
  TaskSignal = 13987,
  TelemetryStopwatch = 13998,
  TestAttributesOnTypes = 14017,
  TestCEReactionsInterface = 14039,
  TestCImplementedInterface = 14064,
  TestCImplementedInterface2 = 14090,
  TestChildInterface = 14117,
  TestConstructorForFuncInterface = 14136,
  TestConstructorForPrefInterface = 14168,
  TestConstructorForSCInterface = 14200,
  TestCppKeywordNamedMethodsInterface = 14230,
  TestDeprecatedInterface = 14266,
  TestExampleInterface = 14290,
  TestExampleProxyInterface = 14311,
  TestExampleThrowingConstructorInterface = 14337,
  TestExampleWorkerInterface = 14377,
  TestFuncConstructorForDifferentFuncInterface = 14404,
  TestFuncConstructorForInterface = 14449,
  TestHTMLConstructorInterface = 14481,
  TestIndexedAndNamedGetterAndSetterInterface = 14510,
  TestIndexedAndNamedGetterInterface = 14554,
  TestIndexedAndNamedSetterInterface = 14589,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 14624,
  TestIndexedGetterInterface = 14674,
  TestIndexedSetterInterface = 14701,
  TestInterface = 14728,
  TestInterfaceWithPromiseConstructorArg = 14742,
  TestJSImplInterface = 14781,
  TestJSImplInterface2 = 14801,
  TestJSImplInterface3 = 14822,
  TestJSImplInterface4 = 14843,
  TestJSImplInterface5 = 14864,
  TestJSImplInterface6 = 14885,
  TestJSImplNoInterfaceObject = 14906,
  TestNamedDeleterInterface = 14934,
  TestNamedDeleterWithRetvalInterface = 14960,
  TestNamedGetterInterface = 14996,
  TestNamedSetterInterface = 15021,
  TestNamespace = 15046,
  TestNonWrapperCacheInterface = 15060,
  TestParentInterface = 15089,
  TestPrefChromeOnlySCFuncConstructorForInterface = 15109,
  TestPrefConstructorForDifferentPrefInterface = 15157,
  TestPrefConstructorForInterface = 15202,
  TestProtoObjectHackedNamespace = 15234,
  TestRenamedInterface = 15265,
  TestRenamedNamespace = 15286,
  TestSCConstructorForInterface = 15307,
  TestSecureContextInterface = 15337,
  TestThrowingConstructorInterface = 15364,
  TestUtils = 15397,
  TestWorkerExposedInterface = 15407,
  TestingDeprecatedInterface = 15434,
  Text = 15461,
  TextClause = 15466,
  TextDecoder = 15477,
  TextEncoder = 15489,
  TextMetrics = 15501,
  TextTrack = 15513,
  TextTrackCue = 15523,
  TextTrackCueList = 15536,
  TextTrackList = 15553,
  TimeEvent = 15567,
  TimeRanges = 15577,
  Touch = 15588,
  TouchEvent = 15594,
  TouchList = 15605,
  TrackEvent = 15615,
  TransformStream = 15626,
  TransformStreamDefaultController = 15642,
  TransitionEvent = 15675,
  TreeColumn = 15691,
  TreeColumns = 15702,
  TreeContentView = 15714,
  TreeWalker = 15730,
  U2F = 15741,
  UDPMessageEvent = 15745,
  UDPSocket = 15761,
  UIEvent = 15771,
  URL = 15779,
  URLSearchParams = 15783,
  URLSearchParams_Iterator = 15799,
  UserInteraction = 15824,
  UserProximityEvent = 15840,
  VRDisplay = 15859,
  VRDisplayCapabilities = 15869,
  VRDisplayEvent = 15891,
  VREyeParameters = 15906,
  VRFieldOfView = 15922,
  VRFrameData = 15936,
  VRMockController = 15948,
  VRMockDisplay = 15965,
  VRPose = 15979,
  VRServiceTest = 15986,
  VRStageParameters = 16000,
  VTTCue = 16018,
  VTTRegion = 16025,
  ValidityState = 16035,
  VideoPlaybackQuality = 16049,
  VideoTrack = 16070,
  VideoTrackList = 16081,
  VisualViewport = 16096,
  WEBGL_color_buffer_float = 16111,
  WEBGL_compressed_texture_astc = 16136,
  WEBGL_compressed_texture_etc = 16166,
  WEBGL_compressed_texture_etc1 = 16195,
  WEBGL_compressed_texture_pvrtc = 16225,
  WEBGL_compressed_texture_s3tc = 16256,
  WEBGL_compressed_texture_s3tc_srgb = 16286,
  WEBGL_debug_renderer_info = 16321,
  WEBGL_debug_shaders = 16347,
  WEBGL_depth_texture = 16367,
  WEBGL_draw_buffers = 16387,
  WEBGL_explicit_present = 16406,
  WEBGL_lose_context = 16429,
  WaveShaperNode = 16448,
  WebExtensionContentScript = 16463,
  WebExtensionPolicy = 16489,
  WebGL2RenderingContext = 16508,
  WebGLActiveInfo = 16531,
  WebGLBuffer = 16547,
  WebGLContextEvent = 16559,
  WebGLFramebuffer = 16577,
  WebGLProgram = 16594,
  WebGLQuery = 16607,
  WebGLRenderbuffer = 16618,
  WebGLRenderingContext = 16636,
  WebGLSampler = 16658,
  WebGLShader = 16671,
  WebGLShaderPrecisionFormat = 16683,
  WebGLSync = 16710,
  WebGLTexture = 16720,
  WebGLTransformFeedback = 16733,
  WebGLUniformLocation = 16756,
  WebGLVertexArrayObject = 16777,
  WebKitCSSMatrix = 16800,
  WebSocket = 16816,
  WebrtcGlobalInformation = 16826,
  WheelEvent = 16850,
  Window = 16861,
  WindowClient = 16868,
  WindowContext = 16881,
  WindowGlobalChild = 16895,
  WindowGlobalParent = 16913,
  WindowRoot = 16932,
  Worker = 16943,
  WorkerDebuggerGlobalScope = 16950,
  WorkerGlobalScope = 16976,
  WorkerLocation = 16994,
  WorkerNavigator = 17009,
  WorkerTestUtils = 17025,
  Worklet = 17041,
  WorkletGlobalScope = 17049,
  WritableStream = 17068,
  WritableStreamDefaultController = 17083,
  WritableStreamDefaultWriter = 17115,
  XMLDocument = 17143,
  XMLHttpRequest = 17155,
  XMLHttpRequestEventTarget = 17170,
  XMLHttpRequestUpload = 17196,
  XMLSerializer = 17217,
  XPathEvaluator = 17231,
  XPathExpression = 17246,
  XPathResult = 17262,
  XRBoundedReferenceSpace = 17274,
  XRFrame = 17298,
  XRInputSource = 17306,
  XRInputSourceArray = 17320,
  XRInputSourceEvent = 17339,
  XRInputSourcesChangeEvent = 17358,
  XRPose = 17384,
  XRReferenceSpace = 17391,
  XRReferenceSpaceEvent = 17408,
  XRRenderState = 17430,
  XRRigidTransform = 17444,
  XRSession = 17461,
  XRSessionEvent = 17471,
  XRSpace = 17486,
  XRSystem = 17494,
  XRView = 17503,
  XRViewerPose = 17510,
  XRViewport = 17523,
  XRWebGLLayer = 17534,
  XSLTProcessor = 17547,
  XULCommandEvent = 17561,
  XULElement = 17577,
  XULFrameElement = 17588,
  XULMenuElement = 17604,
  XULPopupElement = 17619,
  XULTextElement = 17635,
  XULTreeElement = 17650,
  console = 17665,
  mozRTCIceCandidate = 17673,
  mozRTCPeerConnection = 17692,
  mozRTCSessionDescription = 17713,
  webkitSpeechGrammar = 17738,
  webkitSpeechGrammarList = 17758,
  webkitSpeechRecognition = 17782,
  webkitURL = 17806,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // mozilla_dom_BindingNames_h
